### Method

# WebKit2WebExtension DOMEventTarget add_event_listener_with_closure

#### Declaration [src]

    gboolean
    webkit_dom_event_target_add_event_listener_with_closure (
      WebKitDOMEventTarget* target,
      const char* event_name,
      GClosure* handler,
      gboolean use_capture
    )

#### Description [src]

Version of `webkit_dom_event_target_add_event_listener()` using a closure instead of a callbacks for easier binding in other languages.

Deprecated since: | 2.22
Use JavaScriptCore API instead.
This method is renamed to `webkit_dom_event_target_add_event_listener()` in language bindings

#### Parameters

`event_name` | `const char*`
| A #gchar.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`handler` | `GClosure`
| A `GClosure`.
| The data is owned by the caller of the function.
`use_capture` | `gboolean`
| A #gboolean.

#### Return value

Returns: | `gboolean`
| A #gboolean.